package com.ywt.request.pay;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.response.pay.TradeNoForOrderResponseData;
import lombok.Data;

/**
 * 商家订单号获取接口请求参数
 **/
@Data
public class TradeNoForOrderRequest implements IsvRequest<TradeNoForOrderResponseData>, IAppIdRequest {
    private String appId;//医院小程序的AppId
    private boolean useBalance;//标识用户是否使用就诊卡余额
    private boolean useMedicare;//标识用户是否使用医保
    private String outTradeNo;//商家订单号
//    private String amount;//用户需要支付的金额,payWithBalanceAmount或者payWithoutBalanceAmount

    private String hisPatientId;
    private Integer age;
    private String sex;
    private Integer orderId;
    private String hisOrderNo;
    private String amount;//支付金额
    private String deptName;//科室名称
    private String doctorName;
    private String doctorCode;
    private int total;
    private String hisClinicCode;
    private String name;
    private String prescribeDate;//开方时间
    private String alipayUid;


    private int totalFee;
    private int medInsFee;
    private int selfFee;
    private String payName;
    private String patName;
    private String orderInsType;
    private String invoiceNo; //发票号
    private Integer payInsType;// 支付医保类型
    private String insuAdmDr;// 医保登记RowiD
    private String insUploadFeeResp;// 上传费用接口返回数据
    private Integer consumeType;// 医保部分扣费类型。默认为 0：统筹+个账 1：个账 2：统筹

    @Override
    public String serviceName() {
        return "isvRequest.pay.tradeNoForOrder";
    }
}
